package com.r3944realms.leashedplayer.client.renderer.gui;

import com.r3944realms.leashedplayer.client.processBar.IProcessBar;
import net.minecraft.client.gui.GuiGraphics;
import org.joml.Matrix3x2fStack;

public interface IProcessBarRenderer<T extends IProcessBar> {
    T getProcessBar();
    void setProcessBar(T processBar);
    void renderProcessBar(Matrix3x2fStack poseStack, GuiGraphics guiGraphics);
    default void stopRender() {
        T processBar = getProcessBar();
        processBar.decreaseAliveCount();
        processBar.setRenderStatus(false);
    }
}
